Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 28-12-2020 20:19:50

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

installer CAPTVTY

Bonsoir, tout est dans le titre .

Je tente d'enregistrer une émission en replay pour mon père.

J'ai wine 5  et j'ai suivi le tuto :

https://tutox.fr/2020/02/27/telecharger … ous-linux/

Le logiciel Captvty fonctionnerait sous wine mais lorsque je veux lancer le .exe j'ai ce message.  ( en titre)

En suivant les conseils de ci de là sur  le net je change le préfixe de WINEARCH:

root@librazik3:/home/nicolas/Téléchargements# WINEPREFIX="$HOME/prefix32" WINEARCH=win32 wine wineboot



Je rédémarre l'ordi et retente de lancer captyty.exe et là j'ai ce long message :


0009:err:module:__wine_process_init L"C:\\windows\\system32\\Captvty.exe" not found
root@librazik3:/home/nicolas# cd Téléchargements/
root@librazik3:/home/nicolas/Téléchargements# wine Captvty.exe
0009:fixme:mscoree:parse_supported_runtime sku=L".NETFramework,Version=v4.0,Profile=Client" not implemented
0009:fixme:mscoree:parse_supported_runtime sku=L".NETFramework,Version=v4.0,Profile=Client" not implemented

Unhandled Exception:
System.InvalidOperationException: WinForms_SeeInnerException ---> System.BadImageFormatException: Could not resolve field token 0x04000d8b, due to: Could not load type of field '_cfA:_cjA' (28) due to: Could not load file or assembly 'Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed' or one of its dependencies. assembly:Z:\home\nicolas\Téléchargements\Captvty.exe type:_cfA member:(null)
  at (wrapper managed-to-native) System.Reflection.RuntimeConstructorInfo.InternalInvoke(System.Reflection.RuntimeConstructorInfo,object,object[],System.Exception&)
  at System.Reflection.RuntimeConstructorInfo.InternalInvoke (System.Object obj, System.Object[] parameters, System.Boolean wrapExceptions) [0x00005] in <a1336bab325642fd867e87ca7626bada>:0
   --- End of inner exception stack trace ---
  at _TnA+_wTA._6E[] ( ) [0x00159] in <60f1c5fb0db94dc89719796b37796e44>:0
  at _TnA+_wTA._9v () [0x00000] in <60f1c5fb0db94dc89719796b37796e44>:0
  at _fj._M2 () [0x00006] in <60f1c5fb0db94dc89719796b37796e44>:0
  at Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun () [0x00010] in <226ab7938fda44a787c98631abde06da>:0
  at Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run (System.String[] commandLine) [0x00001] in <226ab7938fda44a787c98631abde06da>:0
  at _fj._XhA (System.String[] ) [0x0000f] in <60f1c5fb0db94dc89719796b37796e44>:0
[ERROR] FATAL UNHANDLED EXCEPTION: System.InvalidOperationException: WinForms_SeeInnerException ---> System.BadImageFormatException: Could not resolve field token 0x04000d8b, due to: Could not load type of field '_cfA:_cjA' (28) due to: Could not load file or assembly 'Newtonsoft.Json, Version=12.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed' or one of its dependencies. assembly:Z:\home\nicolas\T├®l├®chargements\Captvty.exe type:_cfA member:(null)
  at (wrapper managed-to-native) System.Reflection.RuntimeConstructorInfo.InternalInvoke(System.Reflection.RuntimeConstructorInfo,object,object[],System.Exception&)
  at System.Reflection.RuntimeConstructorInfo.InternalInvoke (System.Object obj, System.Object[] parameters, System.Boolean wrapExceptions) [0x00005] in <a1336bab325642fd867e87ca7626bada>:0
   --- End of inner exception stack trace ---
  at _TnA+_wTA._6E[] ( ) [0x00159] in <60f1c5fb0db94dc89719796b37796e44>:0
  at _TnA+_wTA._9v () [0x00000] in <60f1c5fb0db94dc89719796b37796e44>:0
  at _fj._M2 () [0x00006] in <60f1c5fb0db94dc89719796b37796e44>:0
  at Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.OnRun () [0x00010] in <226ab7938fda44a787c98631abde06da>:0
  at Microsoft.VisualBasic.ApplicationServices.WindowsFormsApplicationBase.Run (System.String[] commandLine) [0x00001] in <226ab7938fda44a787c98631abde06da>:0
  at _fj._XhA (System.String[] ) [0x0000f] in <60f1c5fb0db94dc89719796b37796e44>:0
 




merci d'avance

Nico

Dernière modification par calixtus06 (12-02-2021 00:29:43)


Il n'y a pas de mauvaises questions...

Hors ligne

#2 28-12-2020 22:11:45

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian bullseye (testing)
Noyau : Linux 5.10.0-5-amd64
(G)UI : LightDM et Xfce4.16
Inscription : 29-04-2015

Re : installer CAPTVTY

D’abord vérifier si wine est correctement installé en fonction du PC 32 ou 64bits.
Le wiki debian explique comment faire voir étapes 1 et  2 de https://wiki.debian.org/fr/Wine.

Dernière modification par Philou92 (28-12-2020 22:13:26)


Tousse antique Ovide !

Hors ligne

#3 29-12-2020 12:18:10

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-16-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : installer CAPTVTY

Hello
Je connais pas le fonctionnement de docker qui a ses propre commandes mais il me semble que tout est dans le conteneur et puis on ne lance pas wine en étant sur le compte root
il faut utiliser une commande docker pour lancer Captvty, je soupçonne même qui a du y avoir un icône de créé a cet effet
enfin le mieux c'est d'utiliser la méthode du wiki ( qui est cité dans le tuto d'ailleur)
de plus avec le conteneur tu n'a pas le suivis des versions de captvty qui change sans cesse
https://debian-facile.org/doc:media:captvty

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 12-02-2021 00:19:27

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : installer CAPTVTY

Salut, je reviens du tuto que tu m'as indiqué Croutons : https://debian-facile.org/doc:media:captvty



or ça ne se déroule pas comme prévu pour moi :

 apt-get install \
 wine/buster-backports \
 wine32/buster-backports \
 wine64/buster-backports \
 libwine/buster-backports \
 libwine:i386/buster-backports \
 fonts-wine/buster-backports



J'obtiens ça

 Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: La version « buster-backports » de « wine » est introuvable
E: La version « buster-backports » de « wine32:i386 » est introuvable
E: La version « buster-backports » de « wine64 » est introuvable
E: La version « buster-backports » de « libwine » est introuvable
E: La version « buster-backports » de « libwine:i386 » est introuvable
E: La version « buster-backports » de « fonts-wine » est introuvable
root@librazik3:/home/nicolas#
 



arrivé à l'étape d'installation des polices windows :

apt-get install -y libgnome-keyring1.0-cil-dev



J'obtiens ce message :

 Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libgnome-keyring1.0-cil-dev
E: Impossible de trouver de paquet correspondant à l'expression rationnelle « libgnome-keyring1.0-cil-dev »
E: Impossible de trouver de paquet correspondant à l'
expression rationnelle « libgnome-keyring1.0-cil-dev »
root@librazik3:/home/nicolas#

Dernière modification par calixtus06 (12-02-2021 00:25:05)


Il n'y a pas de mauvaises questions...

Hors ligne

#5 12-02-2021 07:49:05

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : installer CAPTVTY

Bonjour,

Je tente d'enregistrer une émission en replay pour mon père.


À mon avis, ce serait plus efficace d’installer la dernière version de youtube-dl (donc pas celle de Buster) et d’utiliser la ligne de commande.
Captvty utilise youtube-dl me semble-t-il.
https://debian-facile.org/doc:media:you … -et-rapide
Si le fichier est protégé avec des DRM que ce soit avec Captvty ou youtube-dl, tu ne pourras pas faire ce que tu veux.

Sinon un équivalent natif sous Linux serait kodi et l’addon catchup-tv, les versions de kodi 18+ gère les DRM pour regarder  les replay . La version de Buster est ancienne, ce n’est pas certain que ça fonctionne bien avec elle.

Hors ligne

#6 12-02-2021 10:23:29

Yanatoum
Membre
Lieu : Dyle
Distrib. : Debian Bullseye
Noyau : 5.10.0-8-amd64
(G)UI : xfce
Inscription : 10-07-2016

Re : installer CAPTVTY

A propos du point 4 : 4) Installation de Wine à partir des dépôts backports
Wine n'est plus dans les dépôts backports
Utiliser directement

apt install wine
apt install wine32
....



Je pense aussi qu'il convient d'ajouter un 'sudo' après && dans la commande en user pour les configurations sans mot de passe root

sudo apt-get update && sudo apt-get install winetricks


A confirmer

A propos de wine32, pour l'installer

$ wine --version


it looks like wine32 is missing, you should install it.
multiarch needs to be enabled first.  as root, please
execute "dpkg --add-architecture i386 && apt-get update && apt-get install wine32"
wine-4.0 (Debian 4.0-2)
 



wine et wine32 installés

point 5 Polices Microsoft        inutile pour Buster, c'est indiqué juste après

apt-get install -y libgnome-keyring1.0-cil-dev



/usr/bin/winetricks dotnet40


dotnet 45 ne fonctionne pas chez moi

ne pas oublier
8) Télécharger la dernière version de Captvty sur le site officiel, fichier .zip à décompresser dans le répertoire de son choix

lancement avec le terminal, la souris, icone bureau éventuellement

Dernière modification par Yanatoum (12-02-2021 12:02:07)

Hors ligne

#7 12-02-2021 17:55:46

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : installer CAPTVTY

chalu a écrit :


Sinon un équivalent natif sous Linux serait kodi et l’addon catchup-tv, les versions de kodi 18+ gère les DRM pour regarder  les replay . La version de Buster est ancienne, ce n’est pas certain que ça fonctionne bien avec elle.



J'ai installé Kodi, l'ai mis en français  mais dans les extensions proposées je n'ai pas vu de catchup-tv .. Je ne saisi pas non plus ce que tu veux dire par "la version de buster est ancienne" ..Buster est déjà vieux ? smile


Il n'y a pas de mauvaises questions...

Hors ligne

#8 12-02-2021 18:15:04

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : installer CAPTVTY

la version de kodi dans Buster est vieille, c'est la 17.6
alors que la version stable est la 18.9
Bulleyes aura peut-être la version 19.
catchup-tv devrait être dans les extensions vidéos de kodi mais bon comme c'est une vieille version de kodi, à ta place j'installerais la dernière version de youtube-dl comme expliqué dans le wiki df https://debian-facile.org/doc:media:youtube-dl et en une ligne de commande tu auras récupéré ta vidéo si elle n'est pas protégé.

Hors ligne

#9 12-02-2021 20:14:07

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : installer CAPTVTY

Si j'ai bien compris il est impossible d'installer la dernière version de kodi sur Buster ?

Mais comment accéder aux replay avec youtuve-dl ?

Il n'y a pas de mauvaises questions...

Hors ligne

#10 12-02-2021 22:23:11

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : installer CAPTVTY

Tu indiques vouloir télécharger la vidéo dans ton premier message. youtube-dl le permet, le wiki explique tout wink

Pour avoir la dernière version de kodi, il faudrait ajouter un dépôt externe effectivement.

Hors ligne

#11 12-02-2021 22:38:56

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : installer CAPTVTY

Je suis allé sur ton tuto d'installation:

https://debian-facile.org/utilisateurs: … sur-buster
Mais là ça bloque:

 dpkg -i /home/nicolas/deb-multimedia-keyring_2016.8.1_all.deb



dpkg: avertissement: « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg: avertissement: « start-stop-daemon » introuvable dans la variable PATH ou non exécutable
dpkg: erreur: 2 programmes attendus non trouvés dans la variable PATH ou non exécutables
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin
root@librazik3:/home/nicolas#
 



 echo $PATH


/root/anaconda3/bin:/root/anaconda3/condabin:/usr/local/bin:/usr/bin:/bin:/usr/local/games:/usr/games:/root/anaconda3/bin
 

Dernière modification par calixtus06 (12-02-2021 22:50:54)


Il n'y a pas de mauvaises questions...

Hors ligne

#12 12-02-2021 22:47:49

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.14.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : installer CAPTVTY

un exemple de replay :

-- FR3 --

-- l'épisode en replay -- (un cas pour deux)

se mettre dans le bon dossier : 

cd ~/Vidéos


la commande : 

youtube-dl https://www.france.tv/france-3/un-cas-pour-deux/un-cas-pour-deux-saison-31/2281567-la-superstar-de-francfort.html

adresse du navigateur recopiée


téléchargement (très long) et  vérification  : 

ls "Un cas pour deux"*

'Un cas pour deux - La superstar de Francfort-4c4caed1-6aa8-4147-be06-ded8785a4790.mp4'



méfie toi , beaucoup de chaînes proposent le replay , mais , pas toutes ne laissent la copie disponible ...

Dernière modification par Debian Alain (12-02-2021 22:50:57)

Hors ligne

#13 12-02-2021 23:13:22

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : installer CAPTVTY

@Debian Alain: j'ai essayé et ça marche ( ??!!)

Il n'y a pas de mauvaises questions...

Hors ligne

#14 12-02-2021 23:17:00

Debian Alain
Adhérent(e)
Lieu : Bretagne
Distrib. : sid / bullseye (stable)
Noyau : Linux -5.14.0-3-amd64
(G)UI : Gnome X.org (X11) / GDM3
Inscription : 11-03-2017
Site Web

Re : installer CAPTVTY

tu dira merci à chalu .   big_smile  big_smile  big_smile

bonne nuit   tongue

amicalement ,

alain.

coyotus.png

Hors ligne

#15 12-02-2021 23:28:36

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : installer CAPTVTY

 dpkg: avertissement: « ldconfig » introuvable dans la variable PATH ou non exécutable
dpkg: avertissement: « start-stop-daemon » introuvable dans la variable PATH ou non exécutable
dpkg: erreur: 2 programmes attendus non trouvés dans la variable PATH ou non exécutables
Note : la variable PATH du superutilisateur doit normalement contenir /usr/local/sbin, /usr/sbin et /sbin
root@librazik3:/home/nicolas#
 


Tu ne passes pas correctement en root il faut le tiret

su -


@Debian Alain: j'ai essayé et ça marche ( ??!!)


Tu as essayé quoi ? youtube-dl ? C’est résolu, tu as récupéré ta vidéo ?

tu dira merci à chalu .   big_smile  big_smile  big_smile


Et merci au wiki DF wink

Hors ligne

#16 13-02-2021 00:52:13

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : installer CAPTVTY

Re Chalu !

Et encore merci pour ton aide ! j'ai tout de même encore besoin de tes éclairages :


-Dans ton tuto ; il est question de kodi 18 et pourtant c'est toujours la 17.6 qui s'installe  (?)
-Ton tuto indique d'installer en sudo mais je n'ai pas sudo . J'ai essayé adduser nicolas sudo mais rien ..
-Quelle différence entre su et su - ?  Nb su - m'a permis de faire passer la commande qui bloquait :

 dpkg -i /home/chalu/deb-multimedia-keyring_2016.8.1_all.deb



Enfin

apt -t 0.0 install kodi-inputstream-adaptive


 Lecture des listes de paquets... Fait
E: La valeur « 0.0 » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.
 




 apt -t 0.0 install kodi-inputstream-rtmp



 lecture des listes de paquets... Fait
E: La valeur « 0.0 » n'est pas valable pour APT::Default-Release car cette version ne fait pas partie des sources disponibles.



merci d'avance

Dernière modification par calixtus06 (13-02-2021 01:43:08)


Il n'y a pas de mauvaises questions...

Hors ligne

#17 13-02-2021 01:02:17

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Debian Sid 64bits Ordi.: Thinkpad T400
Noyau : 5.10.40-1
(G)UI : xfce
Inscription : 04-03-2017

Re : installer CAPTVTY

calixtus06 a écrit :

-Quelle différence entre su et su - ?  Nb su - m'a permis de faire passer la commande qui bloquait :

 dpkg -i /home/chalu/deb-multimedia-keyring_2016.8.1_all.deb



Il me semble qu'on a déjà répondu à ta question

Mais bon si tu veux en savoir plus -> https://debian-facile.org/doc:systeme:su


Debian sid
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#18 13-02-2021 09:54:04

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : installer CAPTVTY

Calixtus06 : Quand je t’ai dit qu’il fallait ajouter un dépôt externe pour obtenir la version 18.9 c’était pour répondre à ta question mais tu noteras que je me suis bien gardée de te renvoyer vers ce tuto de mes pages persos fait à l'époque de la sortie de Buster.
Comme tu as vu, il y a une grosse mise en garde sur l’ajout du dépôt externe. Comme le remarque Jean-Pierre Pinson, tu n’es pas très à l’aise avec la ligne de commande et ça ne semble pas une bonne idée cet ajout pour que tu sois tranquille et conserves un système stable. En plus tu utilises librazik, il doit falloir faire attention à ce que tu fais avec les codecs et autres paquets multimedia.
Bulleyes va sortir au début de l’été sans doute et tu auras alors une version récente.

Pour reprendre le sujet de ton premier message :
Pour télécharger en local, utilise youtube-dl comme l’exemple de Debian-Alain que tu as testé avec succès
Pour visionner directement un navigateur internet suffit.

Si tu l’as ajouté, je te conseille de supprimer ce dépôt
Que donne

apt policy

Hors ligne

#19 13-02-2021 16:52:38

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : installer CAPTVTY

Salut Chalu !

apt policy


Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://linux.teamviewer.com/dbloc à supprimer si la commande n’affiche rieneb stable/main i386 Packages
     release o=TeamViewer GmbH,a=stable,l=TeamViewer,c=main,b=i386
     origin linux.teamviewer.com
 500 http://linux.teamviewer.com/deb stable/main amd64 Packages
     release o=TeamViewer GmbH,a=stable,l=TeamViewer,c=main,b=amd64
     origin linux.teamviewer.com
 500 https://repo.nordvpn.com/deb/nordvpn/debian stable/main i386 Packages
     release v=1.0,o=Stable,a=stable,n=stable,l=Stable,c=main,b=i386
     origin repo.nordvpn.com
 500 https://repo.nordvpn.com/deb/nordvpn/debian stable/main amd64 Packages
     release v=1.0,o=Stable,a=stable,n=stable,l=Stable,c=main,b=amd64
     origin repo.nordvpn.com
 100 https://www.deb-multimedia.org buster/non-free i386 Packages
     release v=10.8,o=Unofficial Multimedia Packages,a=stable,n=buster,l=Unofficial Multimedia Packages,c=non-free,b=i386
     origin www.deb-multimedia.org
 100 https://www.deb-multimedia.org buster/non-free amd64 Packages
     release v=10.8,o=Unofficial Multimedia Packages,a=stable,n=buster,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin www.deb-multimedia.org
 100 https://www.deb-multimedia.org buster/main i386 Packages
     release v=10.8,o=Unofficial Multimedia Packages,a=stable,n=buster,l=Unofficial Multimedia Packages,c=main,b=i386
     origin www.deb-multimedia.org
 100 https://www.deb-multimedia.org buster/main amd64 Packages
     release v=10.8,o=Unofficial Multimedia Packages,a=stable,n=buster,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin www.deb-multimedia.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users/main i386 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users,l=LibraZiK-PAP-users,c=main,b=i386
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users/main amd64 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users,l=LibraZiK-PAP-users,c=main,b=amd64
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users/contrib i386 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users,l=LibraZiK-PAP-users,c=contrib,b=i386
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users/contrib amd64 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users,l=LibraZiK-PAP-users,c=contrib,b=amd64
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users-fr/main i386 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users-fr,l=LibraZiK-PAP-users-fr,c=main,b=i386
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users-fr/main amd64 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users-fr,l=LibraZiK-PAP-users-fr,c=main,b=amd64
     origin download.tuxfamily.org
 500 http://deb.debian.org/debian buster/main i386 Packages
     release v=10.8,o=Debian,a=stable,n=buster,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian buster/main amd64 Packages
     release v=10.8,o=Debian,a=stable,n=buster,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian buster/contrib i386 Packages
     release v=10.8,o=Debian,a=stable,n=buster,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian buster/contrib amd64 Packages
     release v=10.8,o=Debian,a=stable,n=buster,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian buster-updates/main i386 Packages
     release o=Debian,a=stable-updates,n=buster-updates,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian buster-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=buster-updates,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://security.debian.org/debian-security buster/updates/main i386 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=i386
     origin security.debian.org
 500 http://security.debian.org/debian-security buster/updates/main amd64 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 100 http://deb.debian.org/debian buster-backports/non-free i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/non-free amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=non-free,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/main i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=main,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/main amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=main,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/contrib i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/contrib amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=contrib,b=amd64
     origin deb.debian.org
 500 https://download.docker.com/linux/debian buster/stable amd64 Packages
     release o=Docker,a=buster,l=Docker CE,c=stable,b=amd64
     origin download.docker.com
 500 http://security.debian.org buster/updates/main i386 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=i386
     origin security.debian.org
 500 http://security.debian.org buster/updates/main amd64 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 500 https://dl.winehq.org/wine-builds/debian buster/main i386 Packages
     release o=dl.winehq.org,a=stable,n=buster,l=winehq,c=main,b=i386
     origin dl.winehq.org
 500 https://dl.winehq.org/wine-builds/debian buster/main amd64 Packages
     release o=dl.winehq.org,a=stable,n=buster,l=winehq,c=main,b=amd64
     origin dl.winehq.org
Paquets épinglés :
root@librazik3:~#
 


Il n'y a pas de mauvaises questions...

Hors ligne

#20 13-02-2021 18:05:41

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : installer CAPTVTY

Que donne

ls -l /etc/apt/sources.list.d/

Hors ligne

#21 14-02-2021 11:46:04

calixtus06
Membre
Distrib. : Librazik3
Noyau : Linux 4.19.0-14-amd64
(G)UI : mate
Inscription : 25-03-2016

Re : installer CAPTVTY

ls -l /etc/apt/sources.list.d/


total 80
-rw-r--r-- 1 root root  696 févr. 11 23:03 Buster-backports.list
-rw-r--r-- 1 root root  686 févr. 11 22:39 Buster-backports.list.save
-rw-r--r-- 1 root root  661 févr. 11 23:03 Buster.list
-rw-r--r-- 1 root root  660 févr. 11 22:39 Buster.list.save
-rw-r--r-- 1 root root  741 févr. 11 23:03 Buster-security.list
-rw-r--r-- 1 root root  740 févr. 11 22:39 Buster-security.list.save
-rw-r--r-- 1 root root  687 févr. 11 23:03 Buster-updates.list
-rw-r--r-- 1 root root  686 févr. 11 22:39 Buster-updates.list.save
-rw-r--r-- 1 root root   83 févr. 12 22:07 debmultimedia.list
-rw-r--r-- 1 root root  201 févr. 11 23:03 google-earth-pro.list
-rw-r--r-- 1 root root  197 févr. 11 22:39 google-earth-pro.list.save
-rw-r--r-- 1 root root  713 févr. 11 23:03 LZK-PAP-users-fr.list
-rw-r--r-- 1 root root  712 févr. 11 22:39 LZK-PAP-users-fr.list.save
-rw-r--r-- 1 root root  691 févr. 11 23:03 LZK-PAP-users.list
-rw-r--r-- 1 root root  690 févr. 11 22:39 LZK-PAP-users.list.save
-rw-r--r-- 1 root root   92 févr. 11 23:03 nordvpn.list
-rw-r--r-- 1 root root   91 févr. 11 22:39 nordvpn.list.save
-rw-r--r-- 1 root root 1206 févr. 11 23:03 teamviewer.list
-rw-r--r-- 1 root root 1201 déc.  14 15:30 teamviewer.list.dpkg-dist
-rw-r--r-- 1 root root 1205 févr. 11 22:39 teamviewer.list.save


Il n'y a pas de mauvaises questions...

Hors ligne

#22 14-02-2021 12:31:23

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : installer CAPTVTY

On va donc supprimer le dépôt multimedia de ton sources.list avec les commandes

su -

pour passer en root puis

rm /etc/apt/sources.list.d/debmultimedia.list


ensuite on rafraichit la liste des paquets disponibles depuis les dépôts conservés

apt update

et enfin on quitte la session root pour se retrouver en utilisateur normal

exit


Tu peux alors vérifier que tu as bien supprimé ce dépôt multimedia avec la commande utilisateur

apt policy

qui doit te renvoyer si tout est normal


Fichiers du paquet :
 100 /var/lib/dpkg/status
     release a=now
 500 http://linux.teamviewer.com/deb stable/main i386 Packages
     release o=TeamViewer GmbH,a=stable,l=TeamViewer,c=main,b=i386
     origin linux.teamviewer.com
 500 http://linux.teamviewer.com/deb stable/main amd64 Packages
     release o=TeamViewer GmbH,a=stable,l=TeamViewer,c=main,b=amd64
     origin linux.teamviewer.com
 500 https://repo.nordvpn.com/deb/nordvpn/debian stable/main i386 Packages
     release v=1.0,o=Stable,a=stable,n=stable,l=Stable,c=main,b=i386
     origin repo.nordvpn.com
 500 https://repo.nordvpn.com/deb/nordvpn/debian stable/main amd64 Packages
     release v=1.0,o=Stable,a=stable,n=stable,l=Stable,c=main,b=amd64
     origin repo.nordvpn.com
  500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users/main i386 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users,l=LibraZiK-PAP-users,c=main,b=i386
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users/main amd64 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users,l=LibraZiK-PAP-users,c=main,b=amd64
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users/contrib i386 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users,l=LibraZiK-PAP-users,c=contrib,b=i386
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users/contrib amd64 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users,l=LibraZiK-PAP-users,c=contrib,b=amd64
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users-fr/main i386 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users-fr,l=LibraZiK-PAP-users-fr,c=main,b=i386
     origin download.tuxfamily.org
 500 http://download.tuxfamily.org/librazik/pasapas LZK-PAP-users-fr/main amd64 Packages
     release v=all,o=LibraZiK,n=LZK-PAP-users-fr,l=LibraZiK-PAP-users-fr,c=main,b=amd64
     origin download.tuxfamily.org
 500 http://deb.debian.org/debian buster/main i386 Packages
     release v=10.8,o=Debian,a=stable,n=buster,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian buster/main amd64 Packages
     release v=10.8,o=Debian,a=stable,n=buster,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian buster/contrib i386 Packages
     release v=10.8,o=Debian,a=stable,n=buster,l=Debian,c=contrib,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian buster/contrib amd64 Packages
     release v=10.8,o=Debian,a=stable,n=buster,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
 500 http://deb.debian.org/debian buster-updates/main i386 Packages
     release o=Debian,a=stable-updates,n=buster-updates,l=Debian,c=main,b=i386
     origin deb.debian.org
 500 http://deb.debian.org/debian buster-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=buster-updates,l=Debian,c=main,b=amd64
     origin deb.debian.org
 500 http://security.debian.org/debian-security buster/updates/main i386 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=i386
     origin security.debian.org
 500 http://security.debian.org/debian-security buster/updates/main amd64 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 100 http://deb.debian.org/debian buster-backports/non-free i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=non-free,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/non-free amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=non-free,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/main i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=main,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/main amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=main,b=amd64
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/contrib i386 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=contrib,b=i386
     origin deb.debian.org
 100 http://deb.debian.org/debian buster-backports/contrib amd64 Packages
     release o=Debian Backports,a=buster-backports,n=buster-backports,l=Debian Backports,c=contrib,b=amd64
     origin deb.debian.org
 500 https://download.docker.com/linux/debian buster/stable amd64 Packages
     release o=Docker,a=buster,l=Docker CE,c=stable,b=amd64
     origin download.docker.com
 500 http://security.debian.org buster/updates/main i386 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=i386
     origin security.debian.org
 500 http://security.debian.org buster/updates/main amd64 Packages
     release v=10,o=Debian,a=stable,n=buster,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
 500 https://dl.winehq.org/wine-builds/debian buster/main i386 Packages
     release o=dl.winehq.org,a=stable,n=buster,l=winehq,c=main,b=i386
     origin dl.winehq.org
 500 https://dl.winehq.org/wine-builds/debian buster/main amd64 Packages
     release o=dl.winehq.org,a=stable,n=buster,l=winehq,c=main,b=amd64
     origin dl.winehq.org
Paquets épinglés :

Hors ligne

#23 14-02-2021 12:41:53

jpt
Banni(e)
Distrib. : Debian 10.8
Noyau : Linux 5.7.10 (backports)
(G)UI : LXDE
Inscription : 12-09-2020

Re : installer CAPTVTY

Bonjour,

chalu a écrit :

On va donc supprimer le dépôt multimedia de ton sources.list

On je supprime jamais un fichier dont on ne sait pas si par hasard il ne serait pas utile un jour lointain...
Donc on fait plutôt comme ça :

mv /etc/apt/sources.list.d/debmultimedia.list /etc/apt/sources.list.d/debmultimedia.list.save


AMD Ryzen3 3200G sur Gigabyte B450M & Make Love Not War

Hors ligne

#24 14-02-2021 12:49:12

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : installer CAPTVTY

jpt a écrit :

On je supprime jamais un fichier dont on ne sait pas si par hasard il ne serait pas utile un jour lointain...


si on peut et dans la mesure où calixtus06 débute et que c'est le dépôt debmultimedia tongue,
ce n'est pour moi pas une bonne idée de sauvegarder systématiquement, regarde les multiples sauvegardes qu'il a déjà pour ses autres dépôts externes et même debian et à mon avis qu'il ne maitrise pas.
L'idée de sauvegarde dans le cas des dépôts clés de Debian ok mais sinon dans le cas à voir ici pas la peine.

Calixtus06, on regardera ensuite ce que tu as pour kodi comme tu indiques l'avoir installé avec

apt policy kodi


et aussi

dpkg -l|grep -i dmo

Hors ligne

#25 14-02-2021 16:21:25

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian
Noyau : Dur
(G)UI : gui gui, je zuis un doiseau
Inscription : 07-07-2008
Site Web

Re : installer CAPTVTY

jpt a écrit :

On je supprime jamais un fichier dont on ne sait pas si par hasard il ne serait pas utile un jour lointain...


Ici, Chalu sait parfaitement que deb-multimedia, c'est un dépôt à éviter autant que la peste pour les débutants. Et je ne puis qu'abonder dans son sens.
Le fichier qu'elle propose de supprimer pourra toujours être recréé plus tard si besoin. Mais là encore, je ne le recommande vraiment pas.

D'expérience, deb-multimedia crée plus de problèmes qu'il n'en résout, surtout avec les débutants, mais pas seulement.
Des utilisateurs expérimentés se sont déjà faits piéger également.

Les dépôts Debian officiels forment un tout cohérent en terme d'ABI. Ils sont compilés pour fonctionner les uns avec les autres.
Mais les dépôts deb-multimedia modifient parfois certains paquets déjà inclus dans Debian, ce qui change l'ABI et est source de nombreux problèmes.

Qui plus est, à cause de la méthode de versioning utilisée pour que les paquets deb-multimedia prennent le pas sur les paquets Debian, ils sont vite une plaie à enlever.

Aussi, cela fait bien longtemps que mon conseil pour ceux voulant installer les dépôts deb-multimedia est: DON'T.


captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.
Je suis parrain linux !

Hors ligne

Pied de page des forums